Skip to main content
GET
/
query-rewrites
List query rewrites
import requests

url = "https://{commerce_studio_id}.experiencemanager.lucidworks.com/query-rewrites"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "queryRewriteCounts": {},
  "content": [
    {
      "type": "SYNONYM",
      "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
      "createdBy": "user@example.com",
      "creationDate": "2026-01-20T10:15:00Z",
      "lastModifiedBy": "user@example.com",
      "lastModified": "2026-01-20T10:15:00Z",
      "name": "Laptop synonyms",
      "published": true,
      "markedForDeletion": false,
      "deleted": false,
      "description": "Expand laptop queries with synonyms",
      "matchType": "EXACT",
      "input": "laptop",
      "output": [
        "laptop",
        "notebook",
        "portable computer"
      ]
    }
  ],
  "page": {
    "size": 10,
    "number": 0,
    "totalElements": 1,
    "totalPages": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

searchQuery
string

Search query for text-based search.

types
string[]

Types of query rewrites to filter by (OR logic).

published
boolean

Filter by published status.

myRewrites
boolean

Filter to show only rewrites created by the authenticated user.

createdBy
string

Filter by the username of the creator.

createdStart
string<date-time>

Filter by creation date start (ISO 8601 date-time).

createdEnd
string<date-time>

Filter by creation date end (ISO 8601 date-time).

contentType
enum<string>

Filter by content type.

Available options:
RULE,
QUERY_REWRITE
page
integer<int32>
default:0

Page number for pagination (zero-indexed).

Required range: x >= 0
size
integer<int32>
default:20

Number of items per page.

Required range: x >= 1
sort
string[]

Sort order in the format property,direction (e.g., createdDate,desc). Can specify multiple sort parameters.

fields
enum<string>[]

Optional additional fields to include in the response. Keep in mind that additional fields can slow the call and increase the response size.

Available options:
FUSION_SYNC_STATUS,
MIGRATION

Response

200 - application/json

OK

content
(HeadTailQueryRewriteSummary · object | MisspellingQueryRewriteSummary · object | PhraseQueryRewriteSummary · object | RemoveWordsQueryRewriteSummary · object | SynonymQueryRewriteSummary · object)[]

Replace underperforming queries with queries that produce higher click-through rates.

page
PageMetadata · object